-- =============================================================================
--	CQ-CONFIG.vhd Configuration descriptor
--	Dedicated to FPGA mag. (CQ pub.)
--
--	2017-10-25	V1.0	Y.Okamura	SONIC ONE (http://sonic1.biz)
-- =============================================================================
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

entity conf_desc is
	port(
		address	: in  std_logic_vector(6 downto 0);
		data8	: out std_logic_vector(7 downto 0)
	);
end;

architecture RTL of conf_desc is

begin

process(address)
begin
	data8 <= "XXXXXXXX";
	case address is
		when "0000000" => data8 <= X"09";
		when "0000001" => data8 <= X"02";
		when "0000010" => data8 <= X"70";
		when "0000011" => data8 <= X"00";
		when "0000100" => data8 <= X"02";
		when "0000101" => data8 <= X"01";
		when "0000110" => data8 <= X"00";
		when "0000111" => data8 <= X"80";
		when "0001000" => data8 <= X"FA";
		when "0001001" => data8 <= X"09";
		when "0001010" => data8 <= X"04";
		when "0001011" => data8 <= X"00";
		when "0001100" => data8 <= X"00";
		when "0001101" => data8 <= X"00";
		when "0001110" => data8 <= X"01";
		when "0001111" => data8 <= X"01";
		when "0010000" => data8 <= X"00";
		when "0010001" => data8 <= X"00";
		when "0010010" => data8 <= X"09";
		when "0010011" => data8 <= X"24";
		when "0010100" => data8 <= X"01";
		when "0010101" => data8 <= X"00";
		when "0010110" => data8 <= X"01";
		when "0010111" => data8 <= X"1E";
		when "0011000" => data8 <= X"00";
		when "0011001" => data8 <= X"01";
		when "0011010" => data8 <= X"01";
		when "0011011" => data8 <= X"0C";
		when "0011100" => data8 <= X"24";
		when "0011101" => data8 <= X"02";
		when "0011110" => data8 <= X"01";
		when "0011111" => data8 <= X"01";
		when "0100000" => data8 <= X"01";
		when "0100001" => data8 <= X"00";
		when "0100010" => data8 <= X"02";
		when "0100011" => data8 <= X"03";
		when "0100100" => data8 <= X"00";
		when "0100101" => data8 <= X"00";
		when "0100110" => data8 <= X"00";
		when "0100111" => data8 <= X"09";
		when "0101000" => data8 <= X"24";
		when "0101001" => data8 <= X"03";
		when "0101010" => data8 <= X"02";
		when "0101011" => data8 <= X"01";
		when "0101100" => data8 <= X"03";
		when "0101101" => data8 <= X"00";
		when "0101110" => data8 <= X"01";
		when "0101111" => data8 <= X"00";
		when "0110000" => data8 <= X"09";
		when "0110001" => data8 <= X"04";
		when "0110010" => data8 <= X"01";
		when "0110011" => data8 <= X"00";
		when "0110100" => data8 <= X"00";
		when "0110101" => data8 <= X"01";
		when "0110110" => data8 <= X"02";
		when "0110111" => data8 <= X"00";
		when "0111000" => data8 <= X"00";
		when "0111001" => data8 <= X"09";
		when "0111010" => data8 <= X"04";
		when "0111011" => data8 <= X"01";
		when "0111100" => data8 <= X"01";
		when "0111101" => data8 <= X"02";
		when "0111110" => data8 <= X"01";
		when "0111111" => data8 <= X"02";
		when "1000000" => data8 <= X"00";
		when "1000001" => data8 <= X"00";
		when "1000010" => data8 <= X"07";
		when "1000011" => data8 <= X"24";
		when "1000100" => data8 <= X"01";
		when "1000101" => data8 <= X"01";
		when "1000110" => data8 <= X"01";
		when "1000111" => data8 <= X"01";
		when "1001000" => data8 <= X"00";
		when "1001001" => data8 <= X"0E";
		when "1001010" => data8 <= X"24";
		when "1001011" => data8 <= X"02";
		when "1001100" => data8 <= X"01";
		when "1001101" => data8 <= X"02";
		when "1001110" => data8 <= X"03";
		when "1001111" => data8 <= X"18";
		when "1010000" => data8 <= X"02";
		when "1010001" => data8 <= X"80";
		when "1010010" => data8 <= X"BB";
		when "1010011" => data8 <= X"00";
		when "1010100" => data8 <= X"00";
		when "1010101" => data8 <= X"77";
		when "1010110" => data8 <= X"01";
		when "1010111" => data8 <= X"09";
		when "1011000" => data8 <= X"05";
		when "1011001" => data8 <= X"01";
		when "1011010" => data8 <= X"05";
		when "1011011" => data8 <= X"46";
		when "1011100" => data8 <= X"02";
		when "1011101" => data8 <= X"01";
		when "1011110" => data8 <= X"00";
		when "1011111" => data8 <= X"81";
		when "1100000" => data8 <= X"07";
		when "1100001" => data8 <= X"25";
		when "1100010" => data8 <= X"01";
		when "1100011" => data8 <= X"01";
		when "1100100" => data8 <= X"00";
		when "1100101" => data8 <= X"00";
		when "1100110" => data8 <= X"00";
		when "1100111" => data8 <= X"09";
		when "1101000" => data8 <= X"05";
		when "1101001" => data8 <= X"81";
		when "1101010" => data8 <= X"01";
		when "1101011" => data8 <= X"03";
		when "1101100" => data8 <= X"00";
		when "1101101" => data8 <= X"01";
		when "1101110" => data8 <= X"03";
		when "1101111" => data8 <= X"00";
		when others  => null;
	end case;
end process;
end RTL;
