-- =============================================================================
--	PORST.vhd	Power on reset generator
--	Dedicated to FPGA mag. (CQ pub.)
--
--	2017-10-25	V1.0	Y.Okamura	SONIC ONE (http://sonic1.biz)
-- =============================================================================
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

entity PORST is port (
	clk		: in	std_logic;
	resetn	: out	std_logic
);end;

architecture RTL of PORST is

signal	cnt	: std_logic_vector(7 downto 0):=X"00";

begin

RS:process(clk)
begin
	if(clk'event and clk = '1')then
		if(cnt(7) = '0')then
			cnt <= cnt + X"01";
		end if;
	end if;
end process;
resetn <= cnt(7);

end RTL;
